BIO_F_NULL(3)

NAME
BIO_f_null - null filter

SYNOPSIS
#include <openssl/bio.h>
BIO_METHOD *
BIO_f_null(void);

DESCRIPTION
BIO_f_null() returns the null filter BIO method. This is a filter BIO that does nothing. As may be apparent, a null filter BIO is not particularly useful.

All requests to a null filter BIO are passed through to the next BIO in the chain: this means that a BIO chain containing a null filter BIO behaves just as though the BIO was not there.

RETURN VALUES
BIO_f_null() returns the null filter BIO method.

SEE ALSO
BIO_new(3)

HISTORY
BIO_f_null() appeared in SSLeay 0.8.1b or earlier and has been available since OpenBSD 2.4.